from users.context import menubar as user_menubar
import themes


def context_adaption(context, request, title, **kwargs):
    context.set_additional_title(title)
    user_menubar(context[context.MENUBAR], request)
    context[context.NAVIGATIONBAR].append_entry(*themes.empty_entry_parameters(request))
    context[context.ACTIONBAR].append_entry(*themes.empty_entry_parameters(request))
    for key in kwargs:
        context[key] = kwargs[key]
